extends Node2D

class_name CheckPoint

signal activated

export var activated:=false

func deactivate() -> void:
	activated = false
	$AnimationPlayer.play("idle")
	
func activate() -> void:
	activated = true
	$AnimationPlayer.play("activated")
	emit_signal("activated", self)


func _on_Area2D_body_entered(body: Node) -> void:
	if body.name  == "Player":
		activate()
